import 'package:rdflib/rdflib.dart';

main() async {
  String filePath = 'example/analytics-pub2.ttl';
  Graph g = Graph();
  await g.parse(filePath);

  Map dataMap = {};

  Namespace predicate_ns = Namespace(ns: 'http://silo.net.au/predicates/analytic#');
  for (Triple t in g.triples) {
    if (t.pre.inNamespace(predicate_ns)) {
      String attribute = t.pre.value.split("#")[1];
      String value = t.obj.value;
      dataMap[attribute] = value;
    }
  }

  print(dataMap);
}